<?
  ###################################
  ### insert the needed laguage data
  ###################################

  //test if laguage id is set
  if (isset($ADMIN_LANGUAGE))
  {
    // set the dynamic name of laguage data file
    $languagedatafile = "include/languagedata_".$ADMIN_LANGUAGE.".inc.php";

    // test if the laguage data file exists
    if (file_exists($languagedatafile))
    {
      // include laguage data
      include($languagedatafile);
      $lang['INCLUDERESULT'] = "OK";
    }
    else
    {
      // init default data
      $lang['INCLUDERESULT'] = "file not found: ".$languagedatafile;
    }
  }
  else
  {
    exit("ERROR: language.inc.php needs setting of the global var \$ADMIN_LANGUAGE");
  }

  ###################################
  ### define functions to use data
  ###################################

  // use this function to printout the language data
  // first parameter : the id of data to print
  // further parameter: replace %%1%%, %%2%%, .. %%n%% patterns in data
  function print_lang($id)
  {
    // get langugae data
    if (isset($GLOBALS['lang'][$id]))
    {
      $langdata = $GLOBALS['lang'][$id];
    }
    else
    {
      $langdata = "!! NOT SET: ".$id." !!";
    }

    // replace patterns
    if (func_num_args()>1)
    {
      // try to insert every given parameter
      for ($i=1;$i<func_num_args();$i++)
      {
        $param = func_get_arg($i);
        $langdata = str_replace("%%$i%%",$param,$langdata);
      }
    }

    // print data
    print $langdata;
  }

  // same as print_lang but just returning a string instead of printing it
  function get_lang($id)
  {
    
    // get langugae data
    if (isset($GLOBALS['lang'][$id]))
    {
      $langdata = $GLOBALS['lang'][$id];
    }
    else
    {
      $langdata = "!! NOT SET: ".$id." !!";
    }

    // replace patterns
    if (func_num_args()>1)
    {
      // try to insert every given parameter
      for ($i=1;$i<func_num_args();$i++)
      {
        $param = func_get_arg($i);
        $langdata = str_replace("%%$i%%",$param,$langdata);
      }
    }

    // print data
    return $langdata;
  }

  // scannt das Verzeichnis "include" nach allen vorhandenen Sprachdateien
  // und gibt ein Array mit den Sprachkrzeln zurck
  function getAllAvailableLanguages()
  {
    $resultArray = array();
    $includeDir = dir("include");
    while ( $entry = $includeDir->read() )
    {
      if (stristr($entry,"languagedata_"))
      {
        $parts = explode(".",substr($entry,13));
        array_push($resultArray,$parts[0]);
      }
    }
    return $resultArray;
  }

?>