<?php
/*
  Author: Jointy <bestmischmaker@web.de>
  reAuthor : Christian Rotzoll <christian@rotzoll.de>
*/

require("pop3.class.php");

$noob = TRUE;

function test_pop3Login($server, $username, $password)
{
    $pop3 = new POP3(FALSE,"",TRUE);

    if($pop3->connect($server))
    {
      if($pop3->login($username,$password))
      {
        return "OK";
      }
      else
      {
        return "NOLOGIN";
      }
    }
    else
    {
      return "NOCONNECT";
    }
}

function getDataMailsFromPop3($server, $username, $password)
{
    $pop3 = new POP3(FALSE,"",TRUE);

    if($pop3->connect($server))
    {
      //print "Connect OK";
      if($pop3->login($username,$password))
      {
        //print "Login OK<br>";
        if(!$msg_list = $pop3->get_office_status())
        {
          if ((isset($GLOBALS['debug'])) && ($GLOBALS['debug'])) echo $pop3->error;
          return $pop3->error;
        }
      }
      else
      {
        if ((isset($GLOBALS['debug'])) && ($GLOBALS['debug'])) echo $pop3->error;
        return $pop3->error;
      }
    }
    else
    {
      if ((isset($GLOBALS['debug'])) && ($GLOBALS['debug'])) echo $pop3->error;
      return $pop3->error;
    }

    $mailArray = array();

    for($i=1;$i<=$msg_list["count_mails"];$i++)
    {
        if (($mail = $pop3->get_mail($i)))
        {
          array_push($mailArray,$mail);
        }
        else
        {
          if ((isset($GLOBALS['debug'])) && ($GLOBALS['debug'])) echo $pop3->error;
        }

        if(!$pop3->delete_mail($i)){
          if ((isset($GLOBALS['debug'])) && ($GLOBALS['debug'])) echo $pop3->error;
        }
    }

    $pop3->close();
    return $mailArray;
}

function getMessage($bodyArray)
{
  $message = "";
  $inMessage = FALSE;
  foreach ($bodyArray as $line)
  {
    if (substr_count($line,"</MESSAGE>") > 0) {$inMessage = FALSE;}
    if ($inMessage) {$message .= $line;}
    if (substr_count($line,"<MESSAGE>") > 0)  {$inMessage = TRUE;}
  }
  return $message;
}

function getTitle($headArray)
{
  $fromfound = FALSE;
  foreach ($headArray as $line)
  {
    $teile = explode(":",$line,2);
    if (strtoupper($teile[0]) == "SUBJECT")
    {
      $fromfound = FALSE;
      $out = trim($teile[1]);
      if (strlen($out) == 0) {$out = "(Absender hat kein Betreff eingegeben)";}
      return $out;
    }
  }
  return "(Absender hat kein Betreff eingegeben)";
}

function getAuthorMail($headArray)
{
  $fromfound = FALSE;
  foreach ($headArray as $line)
  {
    $teile = explode(":",$line,2);
    if (strtoupper($teile[0]) == "FROM")
    {
      $fromfound = FALSE;
      $out = trim($teile[1]);
      if (validEmail($out)) { return $out;}
      else
      {
        $teile2 = explode('<',$out,2);
        if (count($teile2) == 2)
        {
          $out = trim($teile2[1]);
          $out = substr($out,0,(strlen($out)-1));
          if (validEmail($out))  { return $out;}
          else return "";
        }
        else return "";
      }
    }
  }
  return "";
}

function getAuthorName($headArray)
{
  $fromfound = FALSE;
  foreach ($headArray as $line)
  {
    $teile = explode(":",$line,2);
    if (strtoupper($teile[0]) == "FROM")
    {
      $fromfound = FALSE;
      $out = trim($teile[1]);
      if (validEmail($out)) { return "";}
      else
      {
        $teile2 = explode('<',$out,2);
        if (count($teile2) == 2)
        {
          $out = trim($teile2[0]);
          if ($out{0}=='"') { $out = substr($out,1,(strlen($out)-2)); }
          return $out;
        }
        else return "";
      }
    }
  }
  return "";
}

  function validEmail($str)
  {
    if (ereg("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)+$", $str))
    {
      return TRUE;
    }
    else
    {
      return FALSE;
    }
  }
























?>