<?
  // by christian.rotzoll@medien.uni-weimar.de

  // checks if server can handle iTunes URL-Parameter Hack
  // returns TRUE or FALSE
  function testServerPath()
  {
    $result = @file("http://".HTTP_BASISADRESSE."htmlContent/testServerPath.php/test.htm");
    if ((is_array($result)) && (count($result)>0))
    {
      if (trim($result[0])=="TRUE")
      { return TRUE; }
      else
      { return FALSE; }
    }
    else
    { return FALSE; }
  }

  // parses the URL for modified Parameters used by the iTunes Hack
  // returns the DataString in the URL or if there is no data a empty string
  function getHackParametersFromURL()
  {
    $dataInUrl = "";
    if ( (FALSE) && (isset($_SERVER["PATH_INFO"])) && (strlen($_SERVER["PATH_INFO"])>1) )
    {
      //print "PATH_INFO: (".$_SERVER["PATH_INFO"].")";
      $dataInUrl = substr($_SERVER["PATH_INFO"],1);
    }
    elseif (isset($_SERVER["REQUEST_URI"]))
    {
      //print "REQUEST_URI: (".$_SERVER["REQUEST_URI"].")";
      $parts = explode("/",$_SERVER["REQUEST_URI"]);
      $dataArray = array();
      do {
        $last = array_pop($parts);
        $ending  = strtolower(substr($last,-4));
        if ($ending!=".php") {array_unshift($dataArray,$last);}
      } while ((count($parts)>1) && ($ending!=".php"));
     $dataInUrl = implode("/",$dataArray);
   }
   return $dataInUrl;
  }

?>