<!-- SMARTY TEMPLATE FR PODBLOGGER INDEX-SEITE ----------------------

Dies ist ein Template fr die von podblogger benutzte SMARTY-Template-Engine.
Es legt das Layout fr die Startseite von podblogger fest.

Sie knnen diese Datei wie eine HTML-Datei editieren. Podblogger nutzt Sie dann
als Vorlage und trgt die spezifischen Daten (z.B. Daten der vorhandenen MP3-Dateien)
automatisch bei jedem Aufruf der Indexseite in diese Vorlage ein.

Alle SMARTY-Datenfelder und -Befehle mssen in geschweiften Klammern stehen.

Folgede SMARTY-Datenfelder werden standardmig von podblogger zur Verfgung gestellt
und knnen in diesem und anderen Templates fr die Indexseite verwendet werden:

$PODCAST_sitename  			= Name der Seite
$welcometext				= Der eingestellte Willkommenstext
$PODCAST_admin_name			= Der eingestellte Name des Administrators
$PODCAST_admin_mail			= Die eingestellte eMail-Adresse des Administrators
$PODCAST_httpbaseadress		= Die http-Adresse unter der Ihr podblogger im Netz erreichbar ist

$PODCAST_item_count			= Anzahl der im folgenden Array enthaltenden Datenstze
$PODCAST_item_array			= Ist ein Array mit den MP3-Datenstzen:
							  Es muss eine SMARTY-foreach-Schleife benutzt werden, um alle Datenstze zu durchlaufen
							  Bepspiel: {foreach from=$PODCAST_item_array item=single_item} ..... {/foreach}
							  Innerhalb dieser foreach-Schleife knnen fr $single_item folgende Unterfelder verwendet werden:
							  $single_item.titel			= Titel des MP3-Datensatzes
							  $single_item.link				= Die http-Link-Adresse zur MP3-Datei
							  $single_item.beschreibung		= Beschreibungstext der MP3-Datei
							  $single_item.kategorie		= Kategorie des MP3-Datensatzes
							  $single_item.dateigroesse 	= Gre der Datei in MB
							  $single_item.autor_name		= Name des Autors   (wenn nicht angegeben, dann = "-")
							  $single_item.autor_mail		= eMail des Autors  (wenn nicht angegeben, dann = "-")
							  $single_item.zeit				= Einstelldatum des MP3-Datensatzes (als formatierter String)
							  $single_item.zeit_int			= Einstelldatum des MP3-Datensatzes (als Unix-Timestamp)
							  $single_item.audioplayer_code = HTML-Code zum Einbinden des MP3-Flashplayers

$PODCAST_kategorien_array	= Ist ein Array mit den Titeln der einzelnen eingestellten Kategorien:
                              Innerhalb der folgenden SMARTY-foreach-Schleife kann dann $single_kategorie direkt als Platzhalter
                              fr den jeweiligen Kategorie-Namen benutzt werden:
                              {foreach from=$PODCAST_kategorien_array item=single_kategorie} ..... {/foreach}

$PODCAST_backlink			= Der Zurck-http-link, wenn die MP3-Datenstze auf meheren Seiten angezeigt werden
							 (enthlt "off", wenn keine Zurck-Seite vorhanden )
$PODCAST_forwardlink		= Der Vorwrts-http-link, wenn die MP3-Datenstze auf meheren Seiten angezeigt werden
							 (enthlt "off", wenn keine weiteren Seiten vorhanden sind)

Folgende SMARTY-Datenfelder werden speziell fr dieses Layout zur Verfgung gestellt:

$welcometext				= Der eingestellte Willkommenstext
$headlinebild				= Die http-Adresse eines Bildes, das die Textberschrift ersetzen soll

 --------------------------------------------------------------------- -->

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>

<head>
<title>{$PODCAST_sitename}</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body>
<p align="center"><font face="Arial, Helvetica, sans-serif"><br>
  <font size="5"><strong>

    {* Entweder Bild als berschrift (wenns gesetzt ist) oder den Podcastnamen*}

    {if $headlinebild eq ""}
    {$PODCAST_sitename}
    {/if}
    {if $headlinebild ne ""}
    <img src="{$headlinebild}">
    {/if}

  </strong></font></font></p>
  <p align="center">
  <font size="3" face="Arial, Helvetica, sans-serif">
  
  {if $welcometext ne ""}
  {$welcometext}<br><br>
  {/if}
  
  <font size="1">Die RSS-Feed-Adresse zu diesem Podcast lautet:<br></font>
  <font size="2">{$PODCAST_httpbaseadress}rss.php</font>
  <br>
  {if $PODCAST_item_count == 0} <strong>... noch keine MP3-Beitrge vorhanden
  ...</strong> {/if} </font>{foreach from=$PODCAST_item_array item=single_item}
    <br>
<table width="400" border="0" align="center" cellpadding="1" cellspacing="1" bgcolor="#000000">
  <tr>
    <td width="10" bgcolor="#000000">{$single_item.audioplayer_code}</td>
    <td bgcolor="#000000">
<div align="left"><font color="#FFFFFF" size="1" face="Arial, Helvetica, sans-serif"><strong><font size="2">&nbsp;{$single_item.titel}</font></strong></font></div></td>
  </tr>
  {if $single_item.beschreibung ne ""}
  <tr>
    <td colspan="2" bgcolor="#FFFFFF"><div align="center">
    <table border="0" width="95%"><tr><td>
    <font size="2" face="Arial, Helvetica, sans-serif">{$single_item.beschreibung}</font>
    </td></tr></table>
    </div></td>
  </tr>
  {/if}
  <tr>
    <td colspan="2" bgcolor="#FFFFFF"><table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td><font size="1" face="Arial, Helvetica, sans-serif"><strong>Kategorie:
            </strong>{$single_item.kategorie}<br>
            <strong>Datum: </strong>{$single_item.zeit}<br>
            {if $single_item.autor_name ne ""}<strong>Autor: </strong>{$single_item.autor_name}<br>{/if}</font></td>
          <td><div align="right"><strong><font size="1" face="Arial, Helvetica, sans-serif">[&nbsp;<a href="{$single_item.link}">Download</a>&nbsp;]&nbsp;&nbsp;</font></strong></div></td>
        </tr>
      </table>

    </td>
  </tr>
</table>
{/foreach}
<div align="center">
  {if $PODCAST_backlink ne "off"}<a href="{$PODCAST_backlink}"><img src="layoutPlugins/simple/arrow_back.gif" width="11" height="11" border="0"></a>&nbsp;{/if}
    {if $PODCAST_forwardlink ne "off"}<a href="{$PODCAST_forwardlink}"><img src="layoutPlugins/simple/simple/arrow_forward.gif" width="11" height="11" border="0"></a>{/if}
  <br>
    {if $publicupload eq "JA"}
    <font size="1" face="Arial, Helvetica, sans-serif"><br>
    <strong>[</strong>&nbsp;<a href="upload.php">eigenen MP3-Artikel hochladen</a>&nbsp;<strong>]</strong><br>
    </font>
    {/if}
  <p><font size="2" face="Arial, Helvetica, sans-serif"><strong>{$PODCAST_admin_name}
    </strong>-<strong> {$PODCAST_admin_mail}</strong> - <a href="admin.php">Admin</a>
    - <a href="rss.php">RSS</a></font><br><br>
    <font size="1" face="Arial, Helvetica, sans-serif">(Erstellt mit <a href="http://www.rotzoll.de/podblogger" target="_blank">podblogger {$podblogger_version}</a>)</font></p>
</div>
<font face="Arial, Helvetica, sans-serif"> </font> </p>
</body>
</html>