<?

## Datencontainer, in dem ein ein CGI-Relais verwaltet werden kann

// Festeingestellte Autovermittlungs-Zentrale fr Podbloggerservices
define("AUTO_RELAIS_SCRIPT","http://christian.apocalypsys.net/xpress/podblogger_autoservices/getService.php");

require_once("include/cgiRelais.class.php");
require_once("include/cgiConverter.class.php");

class podbloggerServices {
  // ------------------------------------------------------------
  // Statische Funktionen
  // ------------------------------------------------------------

  // liefert ein Relais-Objekt direkt von der Autovermittlungs-Zentrale aus dem Netz
  // liefert FALSE, wenn kein Relay verfgbar bzw. Vermittlungsservice nicht erreichbar
  function getRelayFromNet($podblogger_version)
  {
    if ($fp = @fopen(AUTO_RELAIS_SCRIPT."?type=relay&version=".urlencode($podblogger_version),"r"))
    {
      $text = @fread($fp,2056);
      @fclose($fp);      
      if ($text=="") {return FALSE;}
      return unserialize($text);
    }
    else
    {
      return FALSE;
    }
  }

  // liefert ein Konverter-Objekt direkt von der Autovermittlungs-Zentrale aus dem Netz
  // liefert FALSE, wenn kein Konverter verfgbar bzw. Vermittlungsservice nicht erreichbar
  function getConverterFromNet($podblogger_version)
  {
    if ($fp = @fopen(AUTO_RELAIS_SCRIPT."?type=converter&version=".urlencode($podblogger_version),"r"))
    {
      $text = @fread($fp,2056);
      @fclose($fp);
      if ($text=="") {return FALSE;}      
      return unserialize($text);
    }
    else
    {
      return FALSE;
    }
  }

  // prft die Erreichbarkeit eines cgi-Relais anhand des DOWNLINKS
  function test_cgiRelay($uplink, $downlink)
  {
    // ---------------  TESTEN OB CGI-Upload-Relais funktioniert

    $perlantwort = "FALSE";
    $fp = @fopen($downlink."?request=perltest","r");
    $perlantwort = @fread($fp,128);
    @fclose($fp);

    if ($perlantwort=="TRUE")
    {
      if ($fp = @fopen($uplink,"r"))
      {
        return TRUE;
      }
      else
      {
        return FALSE;
      }  
    }
    else
    {
      return FALSE;
    }
  }

  // prft die Erreichbarkeit eines Konverter-Services
  function test_cgiConverter($link)
  {
    // ---------------  TESTEN OB CGI-Upload-Relais funktioniert

    $perlantwort = "FALSE";
    $fp = @fopen($link."?action=ping","r");
    $perlantwort = @fread($fp,128);
    $parts = explode("\n",$perlantwort);
    $perlantwort = array_shift($parts);
    @fclose($fp);

    if ($perlantwort=="1")
    {
      return TRUE;
    }
    else
    {
      return FALSE;
    }
  }

  // prft, ob perl lokal funktioniert
  function lokalPerl()
  {
    // Seid Version 0.5 wird kein uploadrelay mehr mit ausgeteilt
    return FALSE;
    
    /*
    if (isset($_SERVER['REQUEST_URI']))
    {
      $teile = explode("/",$_SERVER['REQUEST_URI']);
      array_pop($teile);
      $httpadr = $_SERVER['HTTP_HOST'] . implode("/",$teile)."/";
    }
    else if (isset($_SERVER['SCRIPT_NAME']))
    {
      $teile = explode("/",$_SERVER['SCRIPT_NAME']);
      array_pop($teile);
      $httpadr = $_SERVER['HTTP_HOST'] . implode("/",$teile)."/";
    }

    $bool_perWorks = podbloggerServices::test_cgiRelay("http://".$httpadr."cgi-perl/upload.cgi","http://".$httpadr."cgi-perl/download.cgi");

    if ($bool_perWorks)
    {
      return "http://".$httpadr."cgi-perl/";    
    }
    else
    {
      return FALSE;
    }
    */
  }

}

?>